## vdr-plugin-svdrposd 0.1.0

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = svdrposd

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

#VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o status.o

.PHONY: all dist clean
all: libvdr-$(PLUGIN).so

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(APIVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-svdrposd (0.1.0-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:01 +0200

vdr-plugin-svdrposd (0.1.0-4) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 10:57:08 +0200

vdr-plugin-svdrposd (0.1.0-3) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:20:05 +0200

vdr-plugin-svdrposd (0.1.0-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552659)

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:50:35 +0100

vdr-plugin-svdrposd (0.1.0-1) unstable; urgency=low

  * New upstream release
  * Upstream renamed the plugin
  * Standards-Version: 3.8.3
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sat, 10 Oct 2009 20:32:23 +0200

vdr-plugin-svdrpext (0.0.1-18) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:09 +0200

vdr-plugin-svdrpext (0.0.1-17) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 18:31:36 +0200

vdr-plugin-svdrpext (0.0.1-16) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 09 Jun 2008 00:10:35 +0200

vdr-plugin-svdrpext (0.0.1-15) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:14:42 +0200

vdr-plugin-svdrpext (0.0.1-14) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3
  * Updated years in debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 14:13:44 +0200

vdr-plugin-svdrpext (0.0.1-13) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:09:13 +0100

vdr-plugin-svdrpext (0.0.1-12) unstable; urgency=low

  * Release for vdrdevel 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:40 +0100

vdr-plugin-svdrpext (0.0.1-11) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:32 +0100

vdr-plugin-svdrpext (0.0.1-10) unstable; urgency=low

  * Added Copyright information for Debian packaging to debian/copyright 

 -- Thomas Schmidt <tschmidt@debian.org>  Tue,  6 Nov 2007 23:34:24 +0100

vdr-plugin-svdrpext (0.0.1-9) unstable; urgency=low

  * First upload to the official archive (Closes: #445645)
  * Updated debian/copyright
  * Changed Maintainer to the Debian VDR Team
  * Added Tobias Grimm, Thomas Günther and myself to Uploaders
  * Build-Depend on debhelper (>= 5), set COMPAT-Level to 5

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 07 Oct 2007 16:56:13 +0200

vdr-plugin-svdrpext (0.0.1-8) experimental; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:14 +0200

vdr-plugin-svdrpext (0.0.1-7) experimental; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:13 +0200

vdr-plugin-svdrpext (0.0.1-6) experimental; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 03:02:23 +0200

vdr-plugin-svdrpext (0.0.1-5) experimental; urgency=low

  [ Thomas Schmidt ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

  [ Thomas Günther ]
  * Release for vdrdevel 1.5.5

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:02:47 +0200

vdr-plugin-svdrpext (0.0.1-4) experimental; urgency=low

  * Release for vdrdevel 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:00:45 +0200

vdr-plugin-svdrpext (0.0.1-3) experimental; urgency=low

  * Release for vdrdevel 1.5.1

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:23 +0100

vdr-plugin-svdrpext (0.0.1-2) experimental; urgency=low

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules with make-special-vdr
  * Adapted call of dependencies.sh and patchlevel.sh to the new location
    in /usr/share/vdr-dev/

  [ Tobias Grimm ]
  * Build-Depend on vdr-dev (>=1.4.5-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 14 Jan 2007 20:23:55 +0100

vdr-plugin-svdrpext (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 11 Nov 2006 21:10:40 +0100

=== debian/control ===
Source: vdr-plugin-svdrposd
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.18)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-svdrpext/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-svdrpext/trunk/
Homepage: http://vdr.schmirler.de

Package: vdr-plugin-svdrposd
Architecture: any
Provides: vdr-plugin-svdrpext
Replaces: vdr-plugin-svdrpext (<< 0.1.0-1)
Conflicts: vdr-plugin-svdrpext (<< 0.1.0-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin that extends the SVDRP command set of VDR
 This VDR plugin adds some new OSD related commands to VDR's
 remote SVDRP control interface.

Package: vdr-plugin-svdrpext
Depends: ${misc:Depends}, vdr-plugin-svdrposd
Architecture: all
Description: Transitional dummy package
 Package was renamed from vdr-plugin-svdrpext to vdr-plugin-svdrposd

## vdr-plugin-svdrposd 0.1.1

=== debian/changelog ===
vdr-plugin-svdrposd (0.1.1-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:32:28 +0200

vdr-plugin-svdrposd (0.1.1-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:14 +0200

vdr-plugin-svdrposd (0.1.1-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:53 +0200

vdr-plugin-svdrposd (0.1.1-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:17 +0100

vdr-plugin-svdrposd (0.1.1-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:34 +0100

vdr-plugin-svdrposd (0.1.1-3) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:11:26 +0200

vdr-plugin-svdrposd (0.1.1-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:31 +0200

vdr-plugin-svdrposd (0.1.1-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 21:21:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.18)
-Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-svdrpext/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-svdrpext/trunk/
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28)
+Standards-Version: 3.9.3
 Homepage: http://vdr.schmirler.de
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-svdrposd.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-svdrposd.git
 
 Package: vdr-plugin-svdrposd
 Architecture: any
@@ -18,6 +18,8 @@
 Description: VDR plugin that extends the SVDRP command set of VDR
  This VDR plugin adds some new OSD related commands to VDR's
  remote SVDRP control interface.
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-svdrposd.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-svdrposd.git
 
 Package: vdr-plugin-svdrpext
 Depends: ${misc:Depends}, vdr-plugin-svdrposd

## vdr-plugin-svdrposd 1.0.0

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = svdrposd

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o status.o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-svdrposd (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Sep 2013 10:43:31 +0200

vdr-plugin-svdrposd (0.1.1-13) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:22 +0200

vdr-plugin-svdrposd (0.1.1-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:28 +0100

vdr-plugin-svdrposd (0.1.1-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:43 +0100

vdr-plugin-svdrposd (0.1.1-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:36:17 +0100

vdr-plugin-svdrposd (0.1.1-9) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 22:26:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), pkg-config
+Standards-Version: 3.9.4
 Homepage: http://vdr.schmirler.de
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-svdrposd.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-svdrposd.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

=== debian/watch ===
version=2
http://vdr.schmirler.de/svdrposd/vdr-svdrposd-(.*)\.tgz
